#' 不純度の指標の計算
#'
#' gini, entropy, mis.match はカテゴリカルな基準変数用
#' variance は数値的なな基準変数用 \cr
#' English help file: \link[lazy.tree]{gini}
#'
#' @usage varianve( y )
#' @usage mis.match( y )
#' @usage gini( y )
#' @usage entropy( y )
#'
#' @param y 基準変数ベクトル
#'
#' @details
#' 不純度は観測値数で重み付けされていない。
#'
#' \code{gini} ジニ係数 \cr
#' \code{entropy} エントロピー \cr
#' \code{mis.match} モードとの不一致率 \cr
#' \code{variance} 基準変数の分散。残差の２乗和を n で割ったもの \cr
#'
#' \code{entropy} は多項分布の対数尤度の符号を逆転したものと同じ
#'
#'
#'
#' # @keywords internal
#' @docType package
#' @name gini_JPH
NULL
